InstallConfigOption (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.config.InstallConfigOption class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.config
Class InstallConfigOption

    java.lang.Object
      org.hyperic.util.config.ConfigOption
          org.hyperic.util.config.InstallConfigOption

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class InstallConfigOption

extends ConfigOption
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`InstallConfigOption(java.lang.String optName, java.lang.String optDesc, ConfigOptionDisplay defValue, ConfigOptionDisplay[] installOptionValues)` This constructor allows you to create an InstallConfigOption and behaves pretty much like the EnumConfigOption class, however it deals with ConfigOptionDisplay objects rather than raw Strings.
`InstallConfigOption(java.lang.String optName, java.lang.String optDesc, ConfigOptionDisplay defValue, ConfigOptionDisplay[] installOptionValues, java.lang.String confirm)`

Method Summary
`void` | `addValue(ConfigOptionDisplay option)`
`void` | `checkOptionIsValid(java.lang.String value)`
`protected java.lang.Object` | `clone()`
`java.lang.String` | `getDefault()`
`java.util.List` | `getValues()`

Methods inherited from class org.hyperic.util.config.ConfigOption
`copy, equals, getCategory, getConfirm, getDescription, getName, hashCode, invalidOption, isOptional, setCategory, setConfirm, setDefault, setDescription, setName, setOptional, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InstallConfigOption

    public InstallConfigOption(java.lang.String optName,
                               java.lang.String optDesc,
                               ConfigOptionDisplay defValue,
                               ConfigOptionDisplay[] installOptionValues)

  This constructor allows you to create an InstallConfigOption and behaves pretty much like the EnumConfigOption class, however it deals with ConfigOptionDisplay objects rather than raw Strings.

### InstallConfigOption

    public InstallConfigOption(java.lang.String optName,
                               java.lang.String optDesc,
                               ConfigOptionDisplay defValue,
                               ConfigOptionDisplay[] installOptionValues,
                               java.lang.String confirm)

Method Detail

### addValue

    public void addValue(ConfigOptionDisplay option)

### getValues

    public java.util.List getValues()

### checkOptionIsValid

    public void checkOptionIsValid(java.lang.String value)
                            throws InvalidOptionValueException

  Specified by:
    `checkOptionIsValid` in class `ConfigOption`
  Throws:
    `InvalidOptionValueException`

### getDefault

    public java.lang.String getDefault()

  Overrides:
    `getDefault` in class `ConfigOption`

### clone

    protected java.lang.Object clone()
                              throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.